org.apache.tomcat.websocket

## Class DecoderEntry

- java.lang.Object
- - org.apache.tomcat.websocket.DecoderEntry

-     public class DecoderEntry
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecoderEntry(Class<?> clazz, Class<? extends Decoder> decoderClazz)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `getClazz()`
    `Class<? extends Decoder>` | `getDecoderClazz()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DecoderEntry

          public DecoderEntry(Class<?> clazz,
                      Class<? extends Decoder> decoderClazz)

  - ### Method Detail

    - #### getClazz

          public Class<?> getClazz()

    - #### getDecoderClazz

          public Class<? extends Decoder> getDecoderClazz()

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.